#pragma once
#include <map>
struct M_ActivityFishingCeleLotteryMapData
{
	//ID
	int mID;
	//权重(6阶)
	std::vector<int> mWeight;
	//抽奖项道具
	std::vector<int> mItemId;
	//抽奖项道具数量
	std::vector<int> mItemCount;
	//权重(6阶)
	std::vector<int> mWeightShow;
};

class M_ActivityFishingCeleLotteryMap
{
public:
private:
	static std::auto_ptr<M_ActivityFishingCeleLotteryMap> msSingleton;
public:
	int GetCount();
	const M_ActivityFishingCeleLotteryMapData* GetData(int ID);
	const std::map<int, M_ActivityFishingCeleLotteryMapData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ActivityFishingCeleLotteryMap* GetSingleton();
	static void Release();
private:
	std::map<int, M_ActivityFishingCeleLotteryMapData> mMapData;
};
